function kern = indexKernExpandParam(kern, params)

% INDEXKERNEXPANDPARAM Create kernel structure from INDEX kernel's parameters.
%
%	Description:
%
%	KERN = INDEXKERNEXPANDPARAM(KERN, PARAM) returns a index based
%	covariance function kernel structure filled with the parameters in
%	the given vector. This is used as a helper function to enable
%	parameters to be optimised in, for example, the NETLAB optimisation
%	functions.
%	 Returns:
%	  KERN - kernel structure with the given parameters in the relevant
%	   locations.
%	 Arguments:
%	  KERN - the kernel structure in which the parameters are to be
%	   placed.
%	  PARAM - vector of parameters which are to be placed in the kernel
%	   structure.
%	
%
%	See also
%	INDEXKERNPARAMINIT, INDEXKERNEXTRACTPARAM, KERNEXPANDPARAM


%	Copyright (c) 2011 Neil D. Lawrence
% 	indexKernExpandParam.m SVN version 1566
% 	last update 2011-08-07T06:11:09.939507Z

  kern.variance = params(1);
end